package com.energy.manage.service.mappers.autoanalysisconfigdetail;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.autoanalysisconfigdetail.AutoAnalysisConfigDetailPo;
import com.energy.manage.service.domain.dto.analysis.AutoAnalysisConfigDetailDto;
import com.energy.manage.service.domain.vo.analysis.AutoAnalysisConfigDetailVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AutoAnalysisConfigDetailMapper extends MyMapper<AutoAnalysisConfigDetailPo> {


    List<AutoAnalysisConfigDetailVo> selectByCondition(AutoAnalysisConfigDetailDto detail);


    int insertConfig(AutoAnalysisConfigDetailDto detailDto);


    int updateConfigByCondition(AutoAnalysisConfigDetailDto detailDto);
}
