package com.energy.manage.service.domain.dto.analysis;

import com.energy.manage.service.domain.dto.BaseDto;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author chy
 * @date 2025/3/27 09:54
 * @desc
 */
@Data
@Accessors(chain = true)
public class AutoAnalysisConfigDetailDto extends BaseDto {

    /**
     * 主键
     */
    private Long id;

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 风场编码
     */
    private String fieldCode;

    /**
     * 间隔天数
     */
    private Integer intervalDays;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 是否开启 0：关闭 1：开启
     */
    private Integer startupState = 1;
}
